#include <bits/stdc++.h>
using namespace std;
long long Nbr, Lvp;
long long H[1005];
long long br;
long long najm;
int main(){
    cin>>Nbr>>Lvp;
    for(int i=1; i<=Nbr; i++){
        cin>>H[i];
    }

    for(int i=1; i<=Nbr; i++){
        if(H[i]<=Lvp){br=i;break;}
    }
    if(br==0){cout<<"-1"<<endl;}
    else cout<<br<<endl;
return 0;
}